.navigation-mobile{
    display:none;
}

body.modal-open {
    overflow: hidden;
}

.background-modal{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: saturate(0) brightness(0.2);
}

/* ----------------
icône de burger 
---------------- */
.menu-burger {
    position: relative;
    width: 30px;
    height: 30px;
    cursor: pointer;
    border: none;
    background: transparent;
    z-index: 1001;
    left: 50px;
}

.menu-burger span,
.menu-burger span::before,
.menu-burger span::after {
    width: 27px;
    height: 3px;
    background-color: var(--white);
    display: block;
    position: absolute;
    transition: all 0.3s ease;
}

.menu-burger span {
    top: 50%;
    transform: translateY(-50%);
}

.menu-burger span::before {
    content: '';
    top: -10px;
}

.menu-burger span::after {
    content: '';
    top: 10px;
}

/* 🔥 état actif (menu ouvert) */
.menu-burger.active span {
    background-color: transparent; /* barre du milieu disparaît */
}

.menu-burger.active span::before {
    top: 0;
    transform: rotate(45deg);
}

.menu-burger.active span::after {
    top: 0;
    transform: rotate(-45deg);
}


/* ----------------------
-------- Modal-Box ------
-----------------------*/
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%; 
    height: 100vh;
    overflow: hidden;
}

.modal-content {
    position: fixed;
    display:flex;
    padding:0;
    margin:0;
    width: 100%;
    height: 100vh;
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
    background-color: var(--black);
}

.modal-body{
    width:45%;
    z-index:1;
    padding: 80px 0 0 50px;
    & .menu{
        display: flex;
        flex-direction: column;
        list-style: none;
        gap: 10px;
        padding: 0;
        margin: 0;
        & li{
            & a{
                color:var(--white);
                font-size:3.2rem;
                transition: all 0.3s ease-in-out;
                font-family:'AmaranthBold';
                line-height:1;
                &:hover{
                    text-decoration: none;
                }
            }
        }
    }
}

#menu-main-menu:hover li a:not(:hover) {
    opacity: 0.6;
    transition: all 0.3s ease;

}

#menu-main-menu li a {
    transition: all 0.3s ease;
}

.modal-footer{
    width:35%;
    z-index:1;
    max-height:450px;
    padding: 80px 0px 0 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    & .menu-cta{
        display: flex;
        justify-content: end;
        align-items: end;
        width:100%;
        align-items: end;
        gap: 20px;
    }

    & .cart-btn {
        display: inline-flex;
        align-items: center;
        overflow: hidden;
        width: 50%;
        padding: 10px 20px;
        color:var(--white);
        font-size:0.9rem;
        font-family:'AmaranthRegular';
        font-weight:700;
        text-decoration: none;
        transition: width 0.5s ease;
        border: 1px solid var(--white);
        transition: all 0.3s ease;
        &:hover{
            background-color:var(--argent);
            border:1px solid var(--black);
            color:var(--black);
            transition: all 0.3s ease;
            & img{
                filter: invert(1);
                transition:filter 0.3s ease;
            }
        }
    }

    & .cart-btn img {
        width: 25px;
        height: 25px;
        flex-shrink: 0;
        transition:filter 0.3s ease;
    }

    .cart-btn .label {
        margin-left: 20px;
        white-space: nowrap;
        opacity: 1;
        transform: translateX(-10px);
        transition: opacity 0.5s ease, transform 0.5s ease;
    }

    & .cart-btn:active {
        transform: scale(0.96);
    }
}

.modal-socials{
    display:flex;
    gap:10px;
    justify-content: end;
    & img{
        width:30px;
        filter: brightness(2) saturate(0);
        opacity:1;
        transition:opacity 0.3s ease;
        &:hover{
            opacity:0.7;
            transition:opacity 0.3s ease;
            cursor:pointer;
        }
    }
}

.modal-contact{
    & h2{
        font-family:'AmaranthBold';
        font-size: 1.8rem;
        text-align: right;
        padding: 0;
        margin: 0;
    }
    & h3{
        font-family: 'AmaranthRegular';
        text-transform: uppercase;
        font-size: 0.9rem;
        text-align: right;
        margin: 20px 0 5px 0;
        line-height: 1.2;
    }
    & p{
        font-family: 'Rambla';
        font-size: 0.8rem;
        text-align: right;
        margin: 0;
        line-height: 1.2;
    }
}


/* ------------------------------------------
----------- animations ----------------------
------------------------------------------ */
@keyframes modalFadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes modalFadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

.modalFadeIn {
    animation: modalFadeIn .30s ease-out both;
}

.modalFadeOut {
    animation: modalFadeOut .70s ease-in both;
}

@keyframes contentReveal {
    from {
        opacity: 0;
        transform: translateY(-20px) scaleY(0.95);
    }
    to {
        opacity: 1;
        transform: translateY(0) scaleY(1);
    }
}

@keyframes contentHide {
    from {
        opacity: 1;
        transform: translateY(0) scaleY(1);
    }
    to {
        opacity: 0;
        transform: translateY(-10px) scaleY(0.98);
    }
}

.modal-content {
    transform-origin: top;
}

.modal-content.reveal {
    animation: contentReveal .50s ease-out both;
}

.modal-content.hide {
    animation: contentHide .2s ease-in both;
}



/* ------------------------------------
------------ responsive ---------------
------------------------------------ */

@media screen and (max-width:1200px){
    .header{
        padding:20px 0;
    }

    .navigation-mobile{
        display:flex;
        width:25%;
    }

    .logo{
        width:50%;
        display:flex;
        justify-content: center;
        & a{
            display:flex;
        }
    }

    .menu-cta{
        width: 20%;
        padding-right: 30px;
    }

}

@media screen and (max-width:992px){
    .nav-desktop .menu-cta{
        justify-content: center;
        width:15%;
        & span{
            display:none;
        }
    }

    .navigation-mobile{
        width:15%;
    }

    .cta-desktop .cart-btn .label{
        display:none;
    }

    .modal-body {
    & .menu {
        & li {
            & a {
            font-size: 3rem;
            }
            }
        }
    }

    .modal-contact {
        & h3 {
            font-size: 0.8rem;
        }
        & p {
            font-size: 0.7rem;
        }
    }

    .modal-content{
        flex-direction: column;
    }

    .modal-body{
        width:100%;
    }

    .modal-footer{
        width: 88%;
        padding:20px 50px;
            & .menu-cta{
                gap:10px;
            }
            & .cart-btn {
                padding: 10px 12px;
                font-size: 0.8rem;
                justify-content: center;
            }
            & .cart-btn img {
                width: 20px;
                height: 20px;
            }
            & .cart-btn .label {
                margin-left: 15px;
            }
    }

    .modal-socials {
        margin:30px 0;
        & img {
            width: 25px;
        }
    }

}



@media screen and (max-width:768px){
    .nav-desktop .menu-cta{
        width:20%;
        gap:0px;
    }

    .nav-desktop .cart-btn{
        width:30px;
    }

    .nav-desktop .cart-btn:hover {
        width: 30px;
    }

    .navigation-mobile{
        width:20%;
    }

    .modal-body{
        width:100%;
        padding:100px 0 50px 0;
            & .menu {
                gap: 5px;
                & li {
                    text-align:center;
                    & a {
                        font-size: 2.5rem;
                    }
                }
            }
        }

    .modal-socials{
        justify-content: center;
        margin: 50px 0;
    }

    .modal-footer{
        width:100%;
        padding:0;
        & .menu-cta{
            flex-direction: column;
            align-items: center;
        }
        & .cart-btn{
            width: 180px;
            justify-content: center;
        }
    }

    .modal-contact{
        display:none;
    }
}


@media screen and (max-width:576px){
    .menu-burger{
        left: 20px;
    }

    .logo {
        width:40%;
        & img {
            max-width: 100px;
        }
    }

    .navigation-mobile{
        width:30%;
    }

    .menu-cta{
        width:30%;
        justify-content: end;
        padding-right:0;
    }

    .cta-desktop .cart-btn{
        width:45px;
    }

    .cta-desktop .cart-btn:hover {
        width: 45px;
    }


    .account-btn{
        display:none;
    }

    .menu-burger span::before {
        top: -9px;
    }

    .menu-burger span::after {
        top: 9px;
    }

    .menu-burger span,
    .menu-burger span::before,
    .menu-burger span::after {
        width: 25px;
    }

    .modal-body{
    padding: 80px 0 0 0;
            & .menu {
                gap: 5px;
                & li {
                    text-align:center;
                    & a {
                        font-size: 2.2rem;
                    }
                }
            }
        }

    .modal-socials{
        margin: 30px 0;
        justify-content: center;
        & img{
            width:20px;
        }
    }

    .modal-footer{
        width:100%;
        padding: 0;
        & .cart-btn{
            width: 150px;
            justify-content: center;
            &:hover{
                width:150px;
            }
        }
    }
}

@media screen and (max-width:350px){

    .modal-body{
    padding: 60px 0 0 0;
            & .menu {
                & li {
                    & a {
                        font-size: 1.4rem;
                    }
                }
            }
        }

    .modal-socials{
        margin: 15px 0;
        & img{
            width:18px;
        }
    }

    .modal-footer{
        width:100%;
        padding: 0;
        & .cart-btn{
            width: 120px;
            font-size:0.7rem;
            padding:7px;
            &:hover{
                width:120px;
            }
        }
    }
}